---
type: api
title: Delete API keys of multiple users
description: Delete or invalidate the API keys for multiple users.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-users-api-keys
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-users-api-keys
products:
  - Elastic Cloud Enterprise
---

# Delete API keys of multiple users

## Paths

- `DELETE` `/users/auth/keys/_all`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

## Description

Delete or invalidate the API keys for multiple users.

## Request Body

`application/json`

The request to delete API keys.

- `user_api_keys` ([] UserApiKey) — required
  The list of API key IDs.
  - `user_id` (string) — required
    The user ID.
  - `api_key_id` (string) — required
    The API key ID.

## Response

The API keys are deleted.

`application/json`

Type: `EmptyResponse`

## Code Examples

#### Console

```console
DELETE /users/auth/keys/_all
```

#### curl

```curl
curl -X DELETE "/users/auth/keys/_all"
```

